Subject: Re: [PATCH] build: tolerate use of _Generic from glibc 2.43 with Clang

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 11 May 2026 07:46:00 +0200

On Mon, May 11, 2026 at 02:20:09PM +0900, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Wouldn't the approach you took on the meson side to pass
> > "-Wno-c11-extensions" be yet another alternative?
> 
> In other words, I would imagine something like this patch that uses
> the same strategy on both sides may be easier to reason about.

I was going back and forth on this myself. I simply wasn't sure whether
it even buys us anything anymore if we have both "-std=gnu99" _and_
"-Wno-c11-extensions". But maybe this combination at least also detects
the use of newer (C23) extensions?

In any case, I'm also happy with the patch you posted. Thanks!

Patrick